# Method: projects.approvalRequests.invalidate

- [HTTP request](https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/projects.approvalRequests/invalidate#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/projects.approvalRequests/invalidate#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/projects.approvalRequests/invalidate#body.request_body)
- [Response body](https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/projects.approvalRequests/invalidate#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/projects.approvalRequests/invalidate#body.aspect)

Invalidates an existing ApprovalRequest. Returns the updated ApprovalRequest.

NOTE: This action revokes Google access based on this approval request. If the resource has other active approvals, access will remain granted.

Returns FAILED_PRECONDITION if the request exists but is not in an approved state.

### HTTP request

`POST https://accessapproval.googleapis.com/v1/{name=projects/*/approvalRequests/*}:invalidate`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Name of the ApprovalRequest to invalidate. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `accessapproval.requests.invalidate` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/folders.approvalRequests#ApprovalRequest`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).